/*  Wordtrans, front-end for several dictionaries, for the Qt toolkit.
    Copyright (C) 2000 Ricardo Villalba <rvm@linuxfan.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


	NOTE: this class is based on klipper from kdeutils.

	NOTA: esta clase est basada en la aplicacin klipper de kdeutils.

*/


#ifndef _QCLIPPER_H_
#define _QCLIPPER_H_

#include <qobject.h>
#include <qclipboard.h>
#include <qtimer.h>
#include <qstring.h>

class QClipper : public QObject 
{
	Q_OBJECT

public:
	QClipper();
	~QClipper();

	void start();
	void stop();
	void changeInterval( int msec );
	int getInterval() { return intervalo_actual; }

protected slots:
	void chequea();

signals:
	void clipboardChanged(QString);

protected:
	QString last;
	QTimer *timer;
	int intervalo_actual;
};

#endif

