/*  Wordtrans, front-end for several dictionaries, for the Qt toolkit.
    Copyright (C) 2000 Ricardo Villalba <rvm@linuxfan.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef _QEDITA_DICCIONARIO_H_
#define _QEDITA_DICCIONARIO_H_

#include <qtabdialog.h>
#include "DiccionarioBase.h"
#include "textPrefs.h"
#include "dictPrefs.h"
#include "descEdit.h"


class QEditaDiccionario : public QTabDialog
{
	Q_OBJECT

public:
	 QEditaDiccionario( 
		DiccionarioBase *dictionary, bool nuevo,
		QWidget * parent=0, 
		const char * name=0, 
		WFlags f = 0 );

	~QEditaDiccionario();

protected slots:
	virtual void accept();
	virtual void reject();
	virtual void ayuda();

protected:
	DiccionarioBase *dict;
	bool nuevo_dict;

	TextPrefs *text_prefs;
	DictPrefs *dict_prefs;
	DescEdit *desc_edit;
};

#endif

